Skip to content
Developers
Guides
API reference
Changelog
Search endpoints, fields, errors
Ctrl
K
Cancel
Select theme
Dark
Light
Auto
Menu
Account
Check a key
GET
List sites
GET
Products
List products
GET
Create a product
POST
Sell out, or bring back
POST
Copy products to other sites
POST
Change cost prices
POST
Change prices
POST
Get a product
GET
Update a product
PATCH
Set a product's picture
PUT
Set a product's modifier groups
PUT
Modifiers
Create a modifier group
POST
Update a modifier group
PATCH
List pre-modifier groups
GET
Create a pre-modifier group
POST
Update a pre-modifier group
PATCH
Categories
List categories
GET
Create a category
POST
Copy categories to other sites
POST
Get a category
GET
Update a category
PATCH
List category tags
GET
Create a category tag
POST
Update a category tag
PATCH
Courses
List courses
GET
Create a course
POST
Copy courses to other sites
POST
Update a course
PATCH
Taxes
List tax groups
GET
Create a tax group
POST
Copy tax groups to other sites
POST
Update a tax group
PATCH
List taxes
GET
Create a tax
POST
Copy taxes to other sites
POST
Update a tax
PATCH
Report groups
List report groups
GET
Create a report group
POST
Update a report group
PATCH
Menus
List online menus
GET
Create an online menu
POST
Get an online menu
GET
Update an online menu
PATCH
Add a tab to an online menu
POST
Remove an online menu tab
DELETE
Update an online menu tab
PATCH
Set an online menu tab's pictures
PUT
Till menus
List till menus
GET
Create a till menu
POST
Get a till menu
GET
Update a till menu
PATCH
Add a section to a till menu
POST
Remove a till menu section
DELETE
Update a till menu section
PATCH
Select theme
Dark
Light
Auto
Pilot.
The API is open to a small number of organisations and may change — every change is in the
changelog
.
Reference
Overview
Courses
Section titled “Courses”
The stages of a meal the kitchen sends in order.
Operations
Section titled “Operations”
GET
/v1/sites/{siteId}/courses
POST
/v1/sites/{siteId}/courses
POST
/v1/sites/{siteId}/courses/copy
PATCH
/v1/sites/{siteId}/courses/{code}